import React, { Component } from 'react';
import PropTypes from 'prop-types';


const ColumnFilter = ({ onChange, selectedColumn, value }) => {
  const handleInputChange = (event) => {
    const searchInput = {
      searchEntity: event.target.value,
      selectedColumn,
    };

    onChange(searchInput);
  };

  return (
    <div className="filter-column" style={{ float: 'right' }} >
      <input className="search-input" type="text" value={value} onChange={handleInputChange} />
    </div>
  );
};

ColumnFilter.propTypes = {
  selectedColumn: PropTypes.string,
  value: PropTypes.string,
  onChange: PropTypes.func.isRequired,
};

ColumnFilter.defaultProps = {
  selectedColumn: '',
  value: '',
};

export default ColumnFilter;
