import uniq from 'lodash/uniq';

export const getFilterData = (filterConfig, data) => {
  const { searchEntity, selectedColumn } = filterConfig;
  const searchedData = [];
  if (searchEntity === '') {
    return data;
  } else if (selectedColumn !== 'all') {
    return data.filter(dataObj =>
      dataObj[selectedColumn].toLowerCase().includes(searchEntity.toLowerCase()));
  }
  data.forEach((object) => {
    for (const key in object) {
      if (object[key].toLowerCase().indexOf(searchEntity.toLowerCase()) !== -1) {
        searchedData.push(object);
      }
    }
  });
  return uniq(searchedData, results => results.id);
};

export const filterData = (appliedFilter, data) => {

  let filteredData = [...data];

  for (const column in appliedFilter) {
    const filterConfig = {
      searchEntity: appliedFilter[column],
      selectedColumn: column,
    };

    filteredData = getFilterData(filterConfig, filteredData);
  }
  return filteredData;
};
